<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<!-- template designed by Marco Von Ballmoos -->
			<title>Docs for page Akismet.class.php</title>
			<link rel="stylesheet" href="../media/stylesheet.css" />
			<meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'/>
		</head>
		<body>
			<div class="page-body">			
<h2 class="file-name">/Akismet.class.php</h2>

<a name="sec-description"></a>
<div class="info-box">
	<div class="info-box-title">Description</div>
	<div class="nav-bar">
					<span class="disabled">Description</span> |
							<a href="#sec-classes">Classes</a>
														</div>
	<div class="info-box-body">	
		<!-- ========== Info from phpDoc block ========= -->
<p class="short-description">Akismet anti-comment spam service</p>
<p class="description"><p>The class in this package allows use of the <a href="http://akismet.com">Akismet</a> anti-comment spam service in any PHP5 application.</p><p>This service performs a number of checks on submitted data and returns whether or not the data is likely to be spam.</p><p>Please note that in order to use this class, you must have a vaild <a href="http://wordpress.com/api-keys/">WordPress API key</a>.  They are free for non/small-profit types and getting one will only take a couple of minutes.</p><p>For commercial use, please <a href="http://akismet.com/commercial/">visit the Akismet commercial licensing page</a>.</p><p>Please be aware that this class is PHP5 only.  Attempts to run it under PHP4 will most likely fail.</p><p>See the Akismet class documentation page linked to below for usage information.</p></p>
	<ul class="tags">
				<li><span class="field">license:</span> <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License</a></li>
				<li><span class="field">copyright:</span> Alex Potsides, <a href="http://www.achingbrain.net">http://www.achingbrain.net</a></li>
				<li><span class="field">version:</span> 0.1</li>
				<li><span class="field">author:</span> Alex Potsides, <a href="http://www.achingbrain.net">http://www.achingbrain.net</a></li>
			</ul>
		
			</div>
</div>
		
	<a name="sec-classes"></a>	
	<div class="info-box">
		<div class="info-box-title">Classes</div>
		<div class="nav-bar">
			<a href="#sec-description">Description</a> |
			<span class="disabled">Classes</span>
																	</div>
		<div class="info-box-body">	
			<table cellpadding="2" cellspacing="0" class="class-table">
				<tr>
					<th class="class-table-header">Class</th>
					<th class="class-table-header">Description</th>
				</tr>
								<tr>
					<td style="padding-right: 2em; vertical-align: top">
						<a href="../akismet/Akismet.html">Akismet</a>
					</td>
					<td>
											The Akismet PHP5 Class
										</td>
				</tr>
								<tr>
					<td style="padding-right: 2em; vertical-align: top">
						<a href="../akismet/SocketWriteRead.html">SocketWriteRead</a>
					</td>
					<td>
											Utility class used by Akismet
										</td>
				</tr>
							</table>
		</div>
	</div>

	
	
	
	
	<p class="notes" id="credit">
		Documentation generated on Sat, 14 Jan 2006 17:26:08 +0000 by <a href="http://www.phpdoc.org" target="_blank">phpDocumentor 1.3.0RC5</a>
	</p>
	</div></body>
</html>